LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XVBAModuleInfo Interface Reference

`import"XVBAModuleInfo.idl";`

## Public Member Functions
com::sun::star::script::ModuleInfo | getModuleInfo ([in] string ModuleName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
boolean | hasModuleInfo ([in] string ModuleName)
void | insertModuleInfo ([in] string ModuleName, [in] com::sun::star::script::ModuleInfo ModuleInfo) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
void | removeModuleInfo ([in] string ModuleName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )

## Member Function Documentation

com::sun::star::script::ModuleInfo getModuleInfo | ( | [in] string | ModuleName | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

boolean hasModuleInfo | ( | [in] string | ModuleName | ) |

void insertModuleInfo | ( | [in] string | ModuleName,
|  | [in] com::sun::star::script::ModuleInfo | ModuleInfo
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::ElementExistException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

void removeModuleInfo | ( | [in] string | ModuleName | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/script/vba/XVBAModuleInfo.idl